# GstRTSPRange

Provides helper functions to deal with RTSP transport strings.

## GstRTSPRange

A type to specify a range.

### Members

`min` (gint) –

minimum value of the range

`max` (gint) –

maximum value of the range

## GstRtsp.RTSPRange

A type to specify a range.

### Members

`min` (Number) –

minimum value of the range

`max` (Number) –

maximum value of the range

## GstRtsp.RTSPRange

A type to specify a range.

### Members

`min` (int) –

minimum value of the range

`max` (int) –

maximum value of the range

### Functions

#### gst_rtsp_range_convert_units

    gboolean
    gst_rtsp_range_convert_units (GstRTSPTimeRange * range,
                                  GstRTSPRangeUnit unit)

Converts the range in-place between different types of units. Ranges containing the special value GST_RTSP_TIME_NOW can not be converted as these are only valid for GST_RTSP_RANGE_NPT.

Parameters:

`range` –

a GstRTSPTimeRange

`unit` –

the unit to convert the range into

Returns –

TRUE if the range could be converted

#### GstRtsp.prototype.rtsp_range_convert_units

    function GstRtsp.prototype.rtsp_range_convert_units(range: GstRtsp.RTSPTimeRange, unit: GstRtsp.RTSPRangeUnit): {
        // javascript wrapper for 'gst_rtsp_range_convert_units'
    }

Converts the range in-place between different types of units. Ranges containing the special value GstRtsp.RTSPTimeType.NOW can not be converted as these are only valid for GstRtsp.RTSPRangeUnit.NPT.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`unit` (GstRtsp.RTSPRangeUnit) –

the unit to convert the range into

Returns (Number) –

true if the range could be converted

#### GstRtsp.rtsp_range_convert_units

    def GstRtsp.rtsp_range_convert_units (range, unit):
        #python wrapper for 'gst_rtsp_range_convert_units'

Converts the range in-place between different types of units. Ranges containing the special value GstRtsp.RTSPTimeType.NOW can not be converted as these are only valid for GstRtsp.RTSPRangeUnit.NPT.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`unit` (GstRtsp.RTSPRangeUnit) –

the unit to convert the range into

Returns (bool) –

True if the range could be converted

#### gst_rtsp_range_free

    gst_rtsp_range_free (GstRTSPTimeRange * range)

Free the memory allocated by range.

Parameters:

`range` –

a GstRTSPTimeRange

#### GstRtsp.prototype.rtsp_range_free

    function GstRtsp.prototype.rtsp_range_free(range: GstRtsp.RTSPTimeRange): {
        // javascript wrapper for 'gst_rtsp_range_free'
    }

Free the memory allocated by range.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

#### GstRtsp.rtsp_range_free

    def GstRtsp.rtsp_range_free (range):
        #python wrapper for 'gst_rtsp_range_free'

Free the memory allocated by range.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

#### gst_rtsp_range_get_times

    gboolean
    gst_rtsp_range_get_times (const GstRTSPTimeRange * range,
                              GstClockTime * min,
                              GstClockTime * max)

Retrieve the minimum and maximum values from range converted to GstClockTime in min and max.

A value of GST_CLOCK_TIME_NONE will be used to signal GST_RTSP_TIME_NOW and GST_RTSP_TIME_END for min and max respectively.

UTC times will be converted to nanoseconds since 1900.

Parameters:

`range` –

a GstRTSPTimeRange

`min` ( [out]) –

result minimum GstClockTime

`max` ( [out]) –

result maximum GstClockTime

Returns –

TRUE on success.

Since : 1.2

#### GstRtsp.prototype.rtsp_range_get_times

    function GstRtsp.prototype.rtsp_range_get_times(range: GstRtsp.RTSPTimeRange): {
        // javascript wrapper for 'gst_rtsp_range_get_times'
    }

Retrieve the minimum and maximum values from range converted to Number in min and max.

A value of Gst.CLOCK_TIME_NONE will be used to signal GstRtsp.RTSPTimeType.NOW and GstRtsp.RTSPTimeType.END for min and max respectively.

UTC times will be converted to nanoseconds since 1900.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns a tuple made of:

(Number ) –

true on success.

`min` (Number ) –

true on success.

`max` (Number ) –

true on success.

Since : 1.2

#### GstRtsp.rtsp_range_get_times

    def GstRtsp.rtsp_range_get_times (range):
        #python wrapper for 'gst_rtsp_range_get_times'

Retrieve the minimum and maximum values from range converted to int in min and max.

A value of Gst.CLOCK_TIME_NONE will be used to signal GstRtsp.RTSPTimeType.NOW and GstRtsp.RTSPTimeType.END for min and max respectively.

UTC times will be converted to nanoseconds since 1900.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns a tuple made of:

(bool ) –

True on success.

`min` (int ) –

True on success.

`max` (int ) –

True on success.

Since : 1.2

#### gst_rtsp_range_parse

    GstRTSPResult
    gst_rtsp_range_parse (const gchar * rangestr,
                          GstRTSPTimeRange ** range)

Parse rangestr to a GstRTSPTimeRange.

Parameters:

`rangestr` –

a range string to parse

`range` ( [out]) –

location to hold the GstRTSPTimeRange result

Returns –

GST_RTSP_OK on success.

#### GstRtsp.prototype.rtsp_range_parse

    function GstRtsp.prototype.rtsp_range_parse(rangestr: String): {
        // javascript wrapper for 'gst_rtsp_range_parse'
    }

Parse rangestr to a GstRtsp.RTSPTimeRange.

Parameters:

`rangestr` (String) –

a range string to parse

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`range` (GstRtsp.RTSPTimeRange ) –

GstRtsp.RTSPResult.OK on success.

#### GstRtsp.rtsp_range_parse

    def GstRtsp.rtsp_range_parse (rangestr):
        #python wrapper for 'gst_rtsp_range_parse'

Parse rangestr to a GstRtsp.RTSPTimeRange.

Parameters:

`rangestr` (str) –

a range string to parse

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`range` (GstRtsp.RTSPTimeRange ) –

GstRtsp.RTSPResult.OK on success.

#### gst_rtsp_range_to_string

    gchar *
    gst_rtsp_range_to_string (const GstRTSPTimeRange * range)

Convert range into a string representation.

Parameters:

`range` –

a GstRTSPTimeRange

Returns –

The string representation of range. g_free after usage.

#### GstRtsp.prototype.rtsp_range_to_string

    function GstRtsp.prototype.rtsp_range_to_string(range: GstRtsp.RTSPTimeRange): {
        // javascript wrapper for 'gst_rtsp_range_to_string'
    }

Convert range into a string representation.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns (String) –

The string representation of range. GLib.prototype.free after usage.

#### GstRtsp.rtsp_range_to_string

    def GstRtsp.rtsp_range_to_string (range):
        #python wrapper for 'gst_rtsp_range_to_string'

Convert range into a string representation.

Parameters:

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns (str) –

The string representation of range. GLib.free after usage.

## GstRTSPTransport

A structure holding the RTSP transport values.

### Members

`trans` (GstRTSPTransMode) –

the transport mode

`profile` (GstRTSPProfile) –

the tansport profile

`lower_transport` (GstRTSPLowerTrans) –

the lower transport

`destination` (gchar *) –

the destination ip/hostname

`source` (gchar *) –

the source ip/hostname

`layers` (guint) –

the number of layers

`mode_play` (gboolean) –

if play mode was selected

`mode_record` (gboolean) –

if record mode was selected

`append` (gboolean) –

is append mode was selected

`interleaved` (GstRTSPRange) –

the interleave range

`ttl` (guint) –

the time to live for multicast UDP

`port` (GstRTSPRange) –

the port pair for multicast sessions

`client_port` (GstRTSPRange) –

the client port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the client.

`server_port` (GstRTSPRange) –

the server port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the server.

`ssrc` (guint) –

the ssrc that the sender/receiver will use

## GstRtsp.RTSPTransport

A structure holding the RTSP transport values.

### Members

`trans` (GstRtsp.RTSPTransMode) –

the transport mode

`profile` (GstRtsp.RTSPProfile) –

the tansport profile

`lower_transport` (GstRtsp.RTSPLowerTrans) –

the lower transport

`destination` (String) –

the destination ip/hostname

`source` (String) –

the source ip/hostname

`layers` (Number) –

the number of layers

`mode_play` (Number) –

if play mode was selected

`mode_record` (Number) –

if record mode was selected

`append` (Number) –

is append mode was selected

`interleaved` (GstRtsp.RTSPRange) –

the interleave range

`ttl` (Number) –

the time to live for multicast UDP

`port` (GstRtsp.RTSPRange) –

the port pair for multicast sessions

`client_port` (GstRtsp.RTSPRange) –

the client port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the client.

`server_port` (GstRtsp.RTSPRange) –

the server port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the server.

`ssrc` (Number) –

the ssrc that the sender/receiver will use

## GstRtsp.RTSPTransport

A structure holding the RTSP transport values.

### Members

`trans` (GstRtsp.RTSPTransMode) –

the transport mode

`profile` (GstRtsp.RTSPProfile) –

the tansport profile

`lower_transport` (GstRtsp.RTSPLowerTrans) –

the lower transport

`destination` (str) –

the destination ip/hostname

`source` (str) –

the source ip/hostname

`layers` (int) –

the number of layers

`mode_play` (bool) –

if play mode was selected

`mode_record` (bool) –

if record mode was selected

`append` (bool) –

is append mode was selected

`interleaved` (GstRtsp.RTSPRange) –

the interleave range

`ttl` (int) –

the time to live for multicast UDP

`port` (GstRtsp.RTSPRange) –

the port pair for multicast sessions

`client_port` (GstRtsp.RTSPRange) –

the client port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the client.

`server_port` (GstRtsp.RTSPRange) –

the server port pair for receiving data. For TCP based transports, applications can use this field to store the sender and receiver ports of the server.

`ssrc` (int) –

the ssrc that the sender/receiver will use

### Methods

#### gst_rtsp_transport_as_text

    gchar *
    gst_rtsp_transport_as_text (GstRTSPTransport * transport)

Convert transport into a string that can be used to signal the transport in an RTSP SETUP response.

Parameters:

`transport` –

a GstRTSPTransport

Returns ( [transfer: full][nullable]) –

a string describing the RTSP transport or NULL when the transport is invalid.

#### GstRtsp.RTSPTransport.prototype.as_text

    function GstRtsp.RTSPTransport.prototype.as_text(): {
        // javascript wrapper for 'gst_rtsp_transport_as_text'
    }

Convert transport into a string that can be used to signal the transport in an RTSP SETUP response.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (String) –

a string describing the RTSP transport or null when the transport is invalid.

#### GstRtsp.RTSPTransport.as_text

    def GstRtsp.RTSPTransport.as_text (self):
        #python wrapper for 'gst_rtsp_transport_as_text'

Convert transport into a string that can be used to signal the transport in an RTSP SETUP response.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (str) –

a string describing the RTSP transport or None when the transport is invalid.

#### gst_rtsp_transport_free

    GstRTSPResult
    gst_rtsp_transport_free (GstRTSPTransport * transport)

Free the memory used by transport.

Parameters:

`transport` –

a GstRTSPTransport

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPTransport.prototype.free

    function GstRtsp.RTSPTransport.prototype.free(): {
        // javascript wrapper for 'gst_rtsp_transport_free'
    }

Free the memory used by transport.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPTransport.free

    def GstRtsp.RTSPTransport.free (self):
        #python wrapper for 'gst_rtsp_transport_free'

Free the memory used by transport.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_transport_get_media_type

    GstRTSPResult
    gst_rtsp_transport_get_media_type (GstRTSPTransport * transport,
                                       const gchar ** media_type)

Get the media type of transport. This media type is typically used to generate GstCaps events.

Parameters:

`transport` –

a GstRTSPTransport

`media_type` ( [out][transfer: none]) –

media type of transport

Returns –

GST_RTSP_OK.

Since : 1.4

#### GstRtsp.RTSPTransport.prototype.get_media_type

    function GstRtsp.RTSPTransport.prototype.get_media_type(): {
        // javascript wrapper for 'gst_rtsp_transport_get_media_type'
    }

Get the media type of transport. This media type is typically used to generate Gst.Caps events.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`media_type` (String ) –

GstRtsp.RTSPResult.OK.

Since : 1.4

#### GstRtsp.RTSPTransport.get_media_type

    def GstRtsp.RTSPTransport.get_media_type (self):
        #python wrapper for 'gst_rtsp_transport_get_media_type'

Get the media type of transport. This media type is typically used to generate Gst.Caps events.

Parameters:

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`media_type` (str ) –

GstRtsp.RTSPResult.OK.

Since : 1.4

### Functions

#### gst_rtsp_transport_get_manager

    GstRTSPResult
    gst_rtsp_transport_get_manager (GstRTSPTransMode trans,
                                    const gchar ** manager,
                                    guint option)

Get the GstElement that can handle the buffers transported over trans.

It is possible that there are several managers available, use option to selected one.

manager will contain an element name or NULL when no manager is needed/available for trans.

Parameters:

`trans` –

a GstRTSPTransMode

`manager` ( [out][nullable][transfer: none]) –

location to hold the result

`option` –

option index.

Returns –

GST_RTSP_OK.

#### GstRtsp.prototype.rtsp_transport_get_manager

    function GstRtsp.prototype.rtsp_transport_get_manager(trans: GstRtsp.RTSPTransMode, option: Number): {
        // javascript wrapper for 'gst_rtsp_transport_get_manager'
    }

Get the Gst.Element that can handle the buffers transported over trans.

It is possible that there are several managers available, use option to selected one.

manager will contain an element name or null when no manager is needed/available for trans.

Parameters:

`trans` (GstRtsp.RTSPTransMode) –

a GstRtsp.RTSPTransMode

`option` (Number) –

option index.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`manager` (String ) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.rtsp_transport_get_manager

    def GstRtsp.rtsp_transport_get_manager (trans, option):
        #python wrapper for 'gst_rtsp_transport_get_manager'

Get the Gst.Element that can handle the buffers transported over trans.

It is possible that there are several managers available, use option to selected one.

manager will contain an element name or None when no manager is needed/available for trans.

Parameters:

`trans` (GstRtsp.RTSPTransMode) –

a GstRtsp.RTSPTransMode

`option` (int) –

option index.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`manager` (str ) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_transport_get_mime

    GstRTSPResult
    gst_rtsp_transport_get_mime (GstRTSPTransMode trans,
                                 const gchar ** mime)

Get the mime type of the transport mode trans. This mime type is typically used to generate GstCaps events.

Parameters:

`trans` –

a GstRTSPTransMode

`mime` ( [out][transfer: none]) –

location to hold the result

Returns –

GST_RTSP_OK.

deprecated : This functions only deals with the GstRTSPTransMode and only returns the mime type for #GST_RTSP_PROFILE_AVP. Use gst_rtsp_transport_get_media_type() instead.

#### GstRtsp.prototype.rtsp_transport_get_mime

    function GstRtsp.prototype.rtsp_transport_get_mime(trans: GstRtsp.RTSPTransMode): {
        // javascript wrapper for 'gst_rtsp_transport_get_mime'
    }

Get the mime type of the transport mode trans. This mime type is typically used to generate Gst.Caps events.

Parameters:

`trans` (GstRtsp.RTSPTransMode) –

a GstRtsp.RTSPTransMode

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`mime` (String ) –

GstRtsp.RTSPResult.OK.

deprecated : This functions only deals with the GstRTSPTransMode and only returns the mime type for #GST_RTSP_PROFILE_AVP. Use gst_rtsp_transport_get_media_type() instead.

#### GstRtsp.rtsp_transport_get_mime

    def GstRtsp.rtsp_transport_get_mime (trans):
        #python wrapper for 'gst_rtsp_transport_get_mime'

Get the mime type of the transport mode trans. This mime type is typically used to generate Gst.Caps events.

Parameters:

`trans` (GstRtsp.RTSPTransMode) –

a GstRtsp.RTSPTransMode

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`mime` (str ) –

GstRtsp.RTSPResult.OK.

deprecated : This functions only deals with the GstRTSPTransMode and only returns the mime type for #GST_RTSP_PROFILE_AVP. Use gst_rtsp_transport_get_media_type() instead.

#### gst_rtsp_transport_init

    GstRTSPResult
    gst_rtsp_transport_init (GstRTSPTransport * transport)

Initialize transport so that it can be used.

Parameters:

`transport` ( [out]) –

a GstRTSPTransport

Returns –

GST_RTSP_OK.

#### GstRtsp.prototype.rtsp_transport_init

    function GstRtsp.prototype.rtsp_transport_init(): {
        // javascript wrapper for 'gst_rtsp_transport_init'
    }

Initialize transport so that it can be used.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`transport` (GstRtsp.RTSPTransport ) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.rtsp_transport_init

    def GstRtsp.rtsp_transport_init ():
        #python wrapper for 'gst_rtsp_transport_init'

Initialize transport so that it can be used.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`transport` (GstRtsp.RTSPTransport ) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_transport_new

    GstRTSPResult
    gst_rtsp_transport_new (GstRTSPTransport ** transport)

Allocate a new initialized GstRTSPTransport. Use gst_rtsp_transport_free after usage.

Parameters:

`transport` ( [out][transfer: full]) –

location to hold the new GstRTSPTransport

Returns –

a GstRTSPResult.

#### GstRtsp.prototype.rtsp_transport_new

    function GstRtsp.prototype.rtsp_transport_new(): {
        // javascript wrapper for 'gst_rtsp_transport_new'
    }

Allocate a new initialized GstRtsp.RTSPTransport. Use GstRtsp.RTSPTransport.prototype.free after usage.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`transport` (GstRtsp.RTSPTransport ) –

a GstRtsp.RTSPResult.

#### GstRtsp.rtsp_transport_new

    def GstRtsp.rtsp_transport_new ():
        #python wrapper for 'gst_rtsp_transport_new'

Allocate a new initialized GstRtsp.RTSPTransport. Use GstRtsp.RTSPTransport.free after usage.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`transport` (GstRtsp.RTSPTransport ) –

a GstRtsp.RTSPResult.

#### gst_rtsp_transport_parse

    GstRTSPResult
    gst_rtsp_transport_parse (const gchar * str,
                              GstRTSPTransport * transport)

Parse the RTSP transport string str into transport.

Parameters:

`str` –

a transport string

`transport` ( [out]) –

a GstRTSPTransport

Returns –

a GstRTSPResult.

#### GstRtsp.prototype.rtsp_transport_parse

    function GstRtsp.prototype.rtsp_transport_parse(str: String): {
        // javascript wrapper for 'gst_rtsp_transport_parse'
    }

Parse the RTSP transport string str into transport.

Parameters:

`str` (String) –

a transport string

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`transport` (GstRtsp.RTSPTransport ) –

a GstRtsp.RTSPResult.

#### GstRtsp.rtsp_transport_parse

    def GstRtsp.rtsp_transport_parse (str):
        #python wrapper for 'gst_rtsp_transport_parse'

Parse the RTSP transport string str into transport.

Parameters:

`str` (str) –

a transport string

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`transport` (GstRtsp.RTSPTransport ) –

a GstRtsp.RTSPResult.

## Enumerations

### GstRTSPLowerTrans

The different transport methods.

##### Members

`GST_RTSP_LOWER_TRANS_UNKNOWN` (0) –

invalid transport flag

`GST_RTSP_LOWER_TRANS_UDP` (1) –

stream data over UDP

`GST_RTSP_LOWER_TRANS_UDP_MCAST` (2) –

stream data over UDP multicast

`GST_RTSP_LOWER_TRANS_TCP` (4) –

stream data over TCP

`GST_RTSP_LOWER_TRANS_HTTP` (16) –

stream data tunneled over HTTP.

`GST_RTSP_LOWER_TRANS_TLS` (32) –

encrypt TCP and HTTP with TLS

### GstRtsp.RTSPLowerTrans

The different transport methods.

##### Members

`GstRtsp.RTSPLowerTrans.UNKNOWN` (0) –

invalid transport flag

`GstRtsp.RTSPLowerTrans.UDP` (1) –

stream data over UDP

`GstRtsp.RTSPLowerTrans.UDP_MCAST` (2) –

stream data over UDP multicast

`GstRtsp.RTSPLowerTrans.TCP` (4) –

stream data over TCP

`GstRtsp.RTSPLowerTrans.HTTP` (16) –

stream data tunneled over HTTP.

`GstRtsp.RTSPLowerTrans.TLS` (32) –

encrypt TCP and HTTP with TLS

### GstRtsp.RTSPLowerTrans

The different transport methods.

##### Members

`GstRtsp.RTSPLowerTrans.UNKNOWN` (0) –

invalid transport flag

`GstRtsp.RTSPLowerTrans.UDP` (1) –

stream data over UDP

`GstRtsp.RTSPLowerTrans.UDP_MCAST` (2) –

stream data over UDP multicast

`GstRtsp.RTSPLowerTrans.TCP` (4) –

stream data over TCP

`GstRtsp.RTSPLowerTrans.HTTP` (16) –

stream data tunneled over HTTP.

`GstRtsp.RTSPLowerTrans.TLS` (32) –

encrypt TCP and HTTP with TLS

### GstRTSPProfile

The transfer profile to use.

##### Members

`GST_RTSP_PROFILE_UNKNOWN` (0) –

invalid profile

`GST_RTSP_PROFILE_AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GST_RTSP_PROFILE_SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GST_RTSP_PROFILE_AVPF` (4) –

the Audio/Visual profile with feedback (RFC 4585)

`GST_RTSP_PROFILE_SAVPF` (8) –

the secure Audio/Visual profile with feedback (RFC 5124)

### GstRtsp.RTSPProfile

The transfer profile to use.

##### Members

`GstRtsp.RTSPProfile.UNKNOWN` (0) –

invalid profile

`GstRtsp.RTSPProfile.AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GstRtsp.RTSPProfile.SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GstRtsp.RTSPProfile.AVPF` (4) –

the Audio/Visual profile with feedback (RFC 4585)

`GstRtsp.RTSPProfile.SAVPF` (8) –

the secure Audio/Visual profile with feedback (RFC 5124)

### GstRtsp.RTSPProfile

The transfer profile to use.

##### Members

`GstRtsp.RTSPProfile.UNKNOWN` (0) –

invalid profile

`GstRtsp.RTSPProfile.AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GstRtsp.RTSPProfile.SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GstRtsp.RTSPProfile.AVPF` (4) –

the Audio/Visual profile with feedback (RFC 4585)

`GstRtsp.RTSPProfile.SAVPF` (8) –

the secure Audio/Visual profile with feedback (RFC 5124)

### GstRTSPTransMode

The transfer mode to use.

##### Members

`GST_RTSP_TRANS_UNKNOWN` (0) –

invalid tansport mode

`GST_RTSP_TRANS_RTP` (1) –

transfer RTP data

`GST_RTSP_TRANS_RDT` (2) –

transfer RDT (RealMedia) data

### GstRtsp.RTSPTransMode

The transfer mode to use.

##### Members

`GstRtsp.RTSPTransMode.UNKNOWN` (0) –

invalid tansport mode

`GstRtsp.RTSPTransMode.RTP` (1) –

transfer RTP data

`GstRtsp.RTSPTransMode.RDT` (2) –

transfer RDT (RealMedia) data

### GstRtsp.RTSPTransMode

The transfer mode to use.

##### Members

`GstRtsp.RTSPTransMode.UNKNOWN` (0) –

invalid tansport mode

`GstRtsp.RTSPTransMode.RTP` (1) –

transfer RTP data

`GstRtsp.RTSPTransMode.RDT` (2) –

transfer RDT (RealMedia) data

The results of the search are